Summary   	: Linux PCI utilities.
Name	  	: hhl-target-pciutils
Version	  	: 2.1.8
Release	  	: %{_hhl_build_id}.2
Source	  	: pciutils_2.1.8.orig.tar.gz 
Source1		: pciutils.tmpl
Patch	  	: pciutils_2.1.8-5.diff.gz
Patch1		: pciutils_2.1.8-makefile.patch
License 	: GPL
Group	  	: Applications/System
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-pciutils
Summary		: Linux PCI utilities.
Group		: Applications/System
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-pciutils

This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%prep

%target_check

%setup -n pciutils-%{version}.orig
%patch -p1
%patch1 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

cd lib

cp configure configure.old
echo before sed
cat configure.old  | sed -e "s|^prefix.*|prefix=/usr|g" | \
        sed -e "s|^version=.*|version=0.0|g" | \
        sed -e "s|^rel=.*|rel=2.2.14-5.0|g" | \
        sed -e "s|cpu=.*|cpu=x|g" | \
        sed -e "s|^sys=.*|sys=Linux|g" > configure
cd ..

make RANLIB=%{_hhl_target_toolprefix}ranlib AR=%{_hhl_target_toolprefix}ar

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

ln -s . objdir

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/misc
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin

%target_makeinstall ROOT=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix} \
PREFIX=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix} \
MANDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}

mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/{lspci,setpci} %{buildroot}%{_hhl_cross_target_dir}/sbin

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*
cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pciutils

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-pciutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/lspci
%{_hhl_cross_target_dir}/sbin/setpci
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lspci.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setpci.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/misc/*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/pciutils
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Thu Mar 08 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
